Bug 75292 - x-setup crashed when test pressed - no such file or directory
x-setup crashed when test pressed - no such file or directory
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-06 18:22 EDT by Jon Foster
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-13 00:55:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda crash dump file (61.85 KB, text/plain)
2002-10-06 18:25 EDT, Jon Foster
no flags Details

  None (edit)
Description Jon Foster 2002-10-06 18:22:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Traceback (most recent call last):
 File "/usr/lib/anaconda/iw/xconfig_gui.py", line 84, in testPressed
 File "/usr/lib/anaconda/xf86config.py", line 508, in test
OSError: [Errno 2] No such file or directory

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Do a custom install
2.Limit package selection (see anaconda crash dump)
3.Accept probed graphics card and monitor, but change vert. resolution
4.When on final install step (x-setup), click TEST button

Actual Results:  Black screen with X in middle of it. Had to ctrl-alt-backspace
to return to anaconda. Anaconda had a crash dialog with the message:
Traceback (most recent call last):
 File "/usr/lib/anaconda/iw/xconfig_gui.py", line 84, in testPressed
 File "/usr/lib/anaconda/xf86config.py", line 508, in test
OSError: [Errno 2] No such file or directory

Expected Results:  To receive the CONGRATULATIONS on having completed the 8.0
install

Additional info:

See attached anaconda crash dump file
Comment 1 Jon Foster 2002-10-06 18:25:48 EDT
Created attachment 79104 [details]
anaconda crash dump file
Comment 2 Miloslav Trmac 2002-10-06 21:50:09 EDT
Happened to me too. Apparently anaconda tries to use Xtest from the
newly installed system even if it is not there.
Comment 3 Jeremy Katz 2002-10-07 16:58:27 EDT
Workaround is to install redhat-config-xfree86 if you're going to test X
Comment 4 Jon Foster 2002-10-07 18:57:48 EDT
In my second attempt at install I did select all of the redhat-config-XYZ
packages, but when I got to the last step and tried the x test, anaconda still
crashed with the same message.
Comment 5 Christian Tosta 2002-10-13 00:55:51 EDT
Perhaps this information can be util: I was trying to test X configuration for 
a RIVA TNT2 with a 30-60 vert / 50-120 horiz monitor while I got the same error.
After reboot I manually change XF86Config and from X I run Xtest with no 
crashes.
Comment 6 Michael Fulbright 2002-11-01 12:51:27 EST
This functionality is being moved from anaconda into the first boot environment.
Comment 7 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated

Note You need to log in before you can comment on or make changes to this bug.